org.eclipse.oomph.targlets

## Interface IUGenerator

- All Superinterfaces:
    EObject, ModelElement, Notifier
  All Known Subinterfaces:
    BuckminsterGenerator, ComponentGenerator, FeatureGenerator, PluginGenerator
  All Known Implementing Classes:
    BuckminsterGeneratorImpl, ComponentGeneratorImpl, FeatureGeneratorImpl, PluginGeneratorImpl

      public interface IUGenerator
      extends ModelElement

  A representation of the model object 'Installable Unit Generator'.
  See Also:
    `TargletPackage.getIUGenerator()`
  Generated
  Model
    interface="true" abstract="true"

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static EList<IUGenerator>` | `DEFAULTS`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `EList<IInstallableUnit>` | `generateIUs(IProject project, String qualifierReplacement, Map<String,Version> iuVersions)`
    `void` | `modifyIU(IInstallableUnit iu, IProject project, String qualifierReplacement, Map<String,Version> iuVersions)`

    - ### Methods inherited from interface org.eclipse.oomph.base.ModelElement

      `getAnnotation, getAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Field Detail

    - #### DEFAULTS

          static final EList<IUGenerator> DEFAULTS

  - ### Method Detail

    - #### generateIUs

          EList<IInstallableUnit> generateIUs(IProject project,
                                            String qualifierReplacement,
                                            Map<String,Version> iuVersions)
                                              throws Exception

      Throws:
        `Exception`
      Generated
      Model
        dataType="org.eclipse.oomph.targlets.InstallableUnit" exceptions="org.eclipse.oomph.base.Exception" projectDataType="org.eclipse.oomph.predicates.Project" iuVersionsDataType="org.eclipse.oomph.targlets.StringToVersionMap"

    - #### modifyIU

          void modifyIU(IInstallableUnit iu,
                      IProject project,
                      String qualifierReplacement,
                      Map<String,Version> iuVersions)
                        throws Exception

      Throws:
        `Exception`
      Generated
      Model
        exceptions="org.eclipse.oomph.base.Exception" iuDataType="org.eclipse.oomph.targlets.InstallableUnit" projectDataType="org.eclipse.oomph.predicates.Project" iuVersionsDataType="org.eclipse.oomph.targlets.StringToVersionMap"

Copyright (c) 2014 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v2.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v20.html